import request from '@/utils/request'

// 查询屠宰批次列表
export function listSlaughterBatch(query) {
  return request({
    url: '/app/slaughterBatch/list',
    method: 'get',
    params: query
  })
}

// 查询屠宰批次详细
export function getSlaughterBatch(id) {
  return request({
    url: '/app/slaughterBatch/' + id,
    method: 'get'
  })
}

// 新增屠宰批次
export function addSlaughterBatch(data) {
  return request({
    url: '/app/slaughterBatch',
    method: 'post',
    data: data
  })
}

// 修改屠宰批次
export function updateSlaughterBatch(data) {
  return request({
    url: '/app/slaughterBatch',
    method: 'put',
    data: data
  })
}

// 删除屠宰批次
export function delSlaughterBatch(id) {
  return request({
    url: '/app/slaughterBatch/' + id,
    method: 'delete'
  })
}
